Bug 495311 - Review Request: pdfposter - Scale and tile PDF images/pages to print on multiple pages
Review Request: pdfposter - Scale and tile PDF images/pages to print on multi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-11 12:51 EDT by Fabian Affolter
Modified: 2009-07-16 03:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.5.0-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 19:23:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-11 12:51:37 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pdfposter.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/pdfposter-0.4.6-1.fc10.src.rpm

Project URL: http://pdfposter.origo.ethz.ch/

Description:
Pdfposter can be used to create a large poster by building it from multple
pages and/or printing it on large media. It expects as input a PDF file,
normally printing on a single page. The output is again a PDF file, maybe
containing multiple pages together building the poster.  The input page 
will be scaled to obtain the desired size.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1291095

rpmlint output:
[fab@laptop24 noarch]$ rpmlint pdfposter-0.4.6-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint pdfposter-0.4.6-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Christoph Wickert 2009-04-15 18:44:15 EDT
REVIEW FOR 29fc1c52245dc4cb3af80a3c3fc52556  pdfposter-0.4.6-1.fc10.src.rpm

OK - MUST: rpmlint must be run on every package. The output should be posted in the review.
$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/pdfposter-0.4.6-1.fc11.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK - MUST: The package is named according to the Package Naming Guidelines.
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec.
OK - MUST: The package meets the Packaging Guidelines.
CHECK - MUST: The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
CHECK - MUST: The License field in the package spec file matches the actual license.
OK - MUST: The license file from the source package is included in %doc.
OK - MUST: The spec file is in American English.
OK - MUST: The spec file for the package is legible.
OK - MUST: The sources used to build the package match the upstream source by MD5 b392f7df419c6595a3ca6a80ebc80325
OK - MUST: The package successfully compiles and builds into binary rpms on i386 (noarch)
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: All build dependencies are listed in BuildRequires.
N/A - MUST: The spec file handles locales properly with the %find_lang macro.
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
OK - MUST: The package owns all directories that it creates.
OK - MUST: The package does not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files are set properly. Every %files section includes a %defattr(...) line.
OK - MUST: The package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: The package consistently uses macros, as described in the macros section of Packaging Guidelines.
OK - MUST: The package contains code, or permissable content.
N/A - MUST: Large documentation files should go in a -doc subpackage.
OK - MUST: Files included as %doc do not affect the runtime of the application.
N/A - MUST: Header files must be in a -devel package.
N/A - MUST: Static libraries must be in a -static package.
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
N/A - MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
OK - MUST: The packages does not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: All filenames in rpm packages are valid UTF-8.


SHOULD Items:
N/A - SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: The the package builds in mock.
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures.
OK - SHOULD: The package functions as described, but I was able to crash it with a certain file
N/A - SHOULD: If scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
OK - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Other Items:
OK - Timestamps are preserved where necessary
OK - Latest stable version packaged
OK - egg info rebuilt from source and included in package


Issues:
- License: COPYING and PKG-INFO claim it's GPLv3, but according to the homepage it's LGPL. Please ask upstream whether it's GPL or LGPL and a single version only or any later version.
- Application crashed with this file:
http://www.arcor.de/pdf/arcor/privat/produkte/arcor_dsl/arcor_starterbox_bedienungsanleitung3.pdf

$ pdfposter -p a2 Downloads/arcor_starterbox_bedienungsanleitung3.pdf testposter.pdf
Traceback (most recent call last):
  File "/usr/bin/pdfposter", line 8, in <module>
    load_entry_point('pdftools.pdfposter==0.4.6', 'console_scripts', 'pdfposter')()
  File "/usr/lib/python2.5/site-packages/pdftools/pdfposter/cmd.py", line 118, in run
    main(opts, *args)
  File "/usr/lib/python2.5/site-packages/pdftools/pdfposter/__init__.py", line 295, in main
    for i, page in enumerate(inpdf.pages):
  File "/usr/lib/python2.5/site-packages/pyPdf/utils.py", line 78, in __getitem__
    len_self = len(self)
  File "/usr/lib/python2.5/site-packages/pyPdf/utils.py", line 73, in __len__
    return self.lengthFunction()
  File "/usr/lib/python2.5/site-packages/pyPdf/pdf.py", line 334, in getNumPages
    self._flatten()
  File "/usr/lib/python2.5/site-packages/pyPdf/pdf.py", line 499, in _flatten
    catalog = self.trailer["/Root"].getObject()
  File "/usr/lib/python2.5/site-packages/pyPdf/generic.py", line 466, in __getitem__
    return dict.__getitem__(self, key).getObject()
  File "/usr/lib/python2.5/site-packages/pyPdf/generic.py", line 165, in getObject
    return self.pdf.getObject(self).getObject()
  File "/usr/lib/python2.5/site-packages/pyPdf/pdf.py", line 555, in getObject
    raise Exception, "file has not been decrypted"
Exception: file has not been decrypted


The crash should be investigated by upstream and is not a blocker. The license however is, so I cannot approve the package at this point.
Comment 2 Fabian Affolter 2009-04-17 04:13:14 EDT
The information in the source header says that's GPLv3+ (or (at your option) any later version.)

I will ask upstream to update their homepage.  http://pdfposter.origo.ethz.ch/node/36
Comment 3 Christoph Wickert 2009-04-19 19:46:41 EDT
OK then, since this was the only issue, the package is APPROVED.
Comment 4 Fabian Affolter 2009-04-20 01:44:17 EDT
The crash is reproducible, reported upstream http://pdfposter.origo.ethz.ch/node/37
Comment 5 Fabian Affolter 2009-04-20 01:45:36 EDT
New Package CVS Request
=======================
Package Name: pdfposter
Short Description: Scale and tile PDF images/pages to print on multiple pages
Owners: fab
Branches: F-9 F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-04-21 16:10:44 EDT
cvs done.
Comment 7 Fedora Update System 2009-04-23 14:53:06 EDT
pdfposter-0.4.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pdfposter-0.4.6-1.fc10
Comment 8 Fedora Update System 2009-04-23 14:53:12 EDT
pdfposter-0.4.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pdfposter-0.4.6-1.fc11
Comment 9 Fedora Update System 2009-04-23 14:53:17 EDT
pdfposter-0.4.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pdfposter-0.4.6-1.fc9
Comment 10 Fedora Update System 2009-04-27 17:29:19 EDT
pdfposter-0.4.6-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update pdfposter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3977
Comment 11 Fedora Update System 2009-04-27 17:33:15 EDT
pdfposter-0.4.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pdfposter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4002
Comment 12 Fabian Affolter 2009-04-28 02:00:05 EDT
(In reply to comment #1)
> - Application crashed with this file:
> http://www.arcor.de/pdf/arcor/privat/produkte/arcor_dsl/arcor_starterbox_bedienungsanleitung3.pdf
> 
> $ pdfposter -p a2 Downloads/arcor_starterbox_bedienungsanleitung3.pdf
> testposter.pdf
> Traceback (most recent call last):
>   File "/usr/bin/pdfposter", line 8, in <module>
>     load_entry_point('pdftools.pdfposter==0.4.6', 'console_scripts',
> ....

Upstream fixed the bug. According to upstream the specific file is encrypted (but with an empty password, so the user normally does not recognize this). 

Update to 0.5.0 will follow.
Comment 13 Fedora Update System 2009-05-03 11:28:01 EDT
pdfposter-0.5.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pdfposter-0.5.0-1.fc10
Comment 14 Fedora Update System 2009-05-03 11:28:06 EDT
pdfposter-0.5.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pdfposter-0.5.0-1.fc11
Comment 15 Fedora Update System 2009-05-03 11:28:11 EDT
pdfposter-0.5.0-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pdfposter-0.5.0-1.fc9
Comment 16 Fedora Update System 2009-05-06 19:23:45 EDT
pdfposter-0.5.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-05-06 19:33:30 EDT
pdfposter-0.5.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-05-09 00:23:12 EDT
pdfposter-0.5.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-07-09 09:09:23 EDT
pdfposter-0.5.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pdfposter-0.5.0-2.fc11
Comment 20 Fedora Update System 2009-07-09 09:09:28 EDT
pdfposter-0.5.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pdfposter-0.5.0-2.fc10
Comment 21 Fedora Update System 2009-07-16 02:58:14 EDT
pdfposter-0.5.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-07-16 03:16:07 EDT
pdfposter-0.5.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.